#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	3.0
#-----------------------------------------------------------------------------
Name		:	libsoup
Version		:	3.4.4
Release		:	16.2.0.rel%{?dist}
Summary		:	HTTP client/server library for GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/libsoup

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	brotli
BuildRequires	:	glib-networking
BuildRequires	:	gobject-introspection
BuildRequires	:	nghttp2-devel
BuildRequires	:	libpsl
BuildRequires	:	sqlite
BuildRequires	:	sysprof-devel
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
libsoup is an HTTP client/server library for GNOME. It uses GObjects
and the glib main loop, to integrate well with GNOME applications.

Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL support
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * XML-RPC support

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-%{majorver}/%{name}/soup*.h
%{_libdir}/%{name}-*.so*
%{_libdir}/girepository-1.0/Soup*.typelib
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/locale/*/LC_MESSAGES/%{name}-%{majorver}.mo
%{_datadir}/vala/vapi/%{name}-%{majorver}.{deps,vapi}
%{_datadir}/gir-1.0/Soup*.gir

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson							\
	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	-D docs=disabled				\
	-D autobahn=disabled				\
	-D pkcs11_tests=disabled			\
	-D vapi=enabled					\
	-D brotli=enabled				\
	-D sysprof=enabled				\
	-D gssapi=disabled				\

ninja

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
